' tb-screen: 80x25
' FOR/NEXT, DO/LOOP, SELECT CASE, GOSUB
FOR i% = 1 TO 3
    PRINT "for"; i%
NEXT i%

n% = 3
DO WHILE n% > 0
    PRINT "do"; n%
    n% = n% - 1
LOOP

FOR i% = 1 TO 3
    SELECT CASE i%
        CASE 1: PRINT "eins"
        CASE 2 TO 3: PRINT "zwei-drei"
        CASE ELSE: PRINT "nie"
    END SELECT
NEXT

GOSUB Unterprogramm
PRINT "ende"
END

Unterprogramm:
PRINT "gosub"
RETURN